Bug 584587 - Importing excludes doesn't work
Summary: Importing excludes doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Retired
Component: web UI
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-21 22:51 UTC by Matt Brodeur
Modified: 2010-05-26 17:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-26 17:17:25 UTC


Attachments (Terms of Use)
exclude csv (14.40 KB, text/csv)
2010-04-21 22:51 UTC, Matt Brodeur
no flags Details

Description Matt Brodeur 2010-04-21 22:51:44 UTC
Created attachment 408192 [details]
exclude csv

Description of problem:
A csv import of excluded families doesn't seem to do anything at all.

Version-Release number of selected component (if applicable):
0.4.95

How reproducible:
100%

Steps to Reproduce:
1. Create a csv of type exclude
2. Import via WEB UI
  
Actual results:
Web UI says "No Errors" but nothing is actually imported

Expected results:
Excluded families get set on listed systems

Additional info:
Nothing shows up in system history or beaker activity searches

Non-working csv attached

Comment 1 Raymond Mancy 2010-05-18 07:44:40 UTC
It didn't like that 'TRUE' was in the 'exclude' column. It should now work for TRUE,True, or even tRuE.

http://git.fedorahosted.org/git/?p=beaker.git;a=commit;h=b9e6608329a50a82f4f684d12240ca7e6604f483

Comment 2 Bill Peck 2010-05-24 18:45:17 UTC
merged into master, will be in next release.


Note You need to log in before you can comment on or make changes to this bug.